# Installing editoria on debian 10 for production


## postgres

```sh
apt install postgresql postgresql-client
systemctl enable --now postgresql
su - porstgres
psql -c "ALTER USER postgres WITH password 'monsupermotdepasse'"
```

## xsweet

### postgresql db
```sh
su - porstgres
createuser xsweet
psql -c "alter user xsweet with encrypted password 'SUPERMOTDEPASSE';"
createdb xsweetdb -O xsweet
# psql -c "grant all privileges on database xsweetdb to  xsweet;"
```

### xsweet
```sh
docker pull cokoapps/xsweet:1.1.0
docker run -d -t -i \
  -e PUBSWEET_SECRET=YOURSECRET
  -e SERVER_PORT=9001
  -e SERVER_HOST=localhost
  -e SERVER_PROTOCOL=http
  -e POSTGRES_USER=xsweet
  -e POSTGRES_PASSWORD=YOURPASSWORD
  -e POSTGRES_HOST=localhost
  -e POSTGRES_DB=xsweetdb
  -e POSTGRES_PORT=5432
  -e NODE_ENV=production
  cokoapps/xsweet
```
